#pragma once

#include "font.h"

class ReplaceFont : public Font {
public:
	ReplaceFont(const std::string& name, const std::string* repl);

	virtual void applyFont(const std::string& in, std::string& out) const override;
	virtual const std::string& getName() const override;
	virtual bool canApply(const std::string& in) const override;
private:
	const std::string name;
	const std::string* repl; //pointer (array)
};